[localePicker]
forceUrl = 0

[Cart]

[CartHelper]
debug = 0
category_filters = 0
==
<div class="ps-page__content">
	<div class="container">
		<div class="ps-shopping-cart ">
			{% set obCartPositionList = Cart.get() %}
			
			{% if Agent.isMobile() %}
				{% if obCartPositionList is not empty %}
					<div class="row">
						<div class="col-md-12">
							
							{% set offerIds = [] %}
							{% for obCartPosition in obCartPositionList%}
				                {% set obOffer = obCartPosition.offer %}
				                {% set obProduct = obOffer.product %}
				                {% set offerIds = offerIds|merge([obOffer.id]) %}
								<div class="row">
									<div class="col-sm-4 col-4">
										<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{ obProduct.slug }}"><img src="{{ obProduct.preview_image.getThumb(100, 100, {quality: 80}) }}" alt=""></a>
									</div>
									<div class="col-sm-6 col-6">
										{% if obCartPosition.price == 0 %}
											<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{ obProduct.slug }}">{{ obProduct.name }}</a>
										{% else %}
											{#
											<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{ obProduct.slug }}">{{ obProduct.name }} - {{ obCartPosition.customized_content and obCartPosition.customized_content != '#bespoke#' ? obCartPosition.customized_content : obOffer.name }} {{obCartPosition.customized_content == '#bespoke#' ? '*' }}</a>
											#}
											<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{ obProduct.slug }}">{{ obProduct.name }}  {{ not (obCartPosition.customized_content|customized_content) ? ' - '~obOffer.name }} {{obCartPosition.customized_content == '#bespoke#' ? '*' }}</a>
											{{obCartPosition.customized_content|customized_content(activeLocale) ?: '' }}
										{% endif %}
										<div class="price-mob">
											{% if obCartPosition.price != 0 %}
												{% if obOffer.old_price and obOffer.old_price != obOffer.price and obOffer.old_price != '0.00'%}
			                                		<del class="del-price"> {{obOffer.old_price}} {{ obOffer.currency }}</del><br>
			                                	{% elseif arCouponList[0] and obOffer.price != (obCartPosition.price / obCartPosition.quantity) and ( not arCouponList[0].coupon_group.category or arCouponList[0].coupon_group.category[0].id in obProduct.additional_category_id )%}
			                                		<del class="del-price"> {{ obOffer.currency }} {{obOffer.price}} </del><br>
			                                	{% endif %}
						                    	{{ obCartPosition.quantity }}x {{ obOffer.currency }}  {{ obCartPosition.price / obCartPosition.quantity }}
						                    {% else %}
						                    	<p style="font-size:12px">({{'personalizzazione'|_}})</p>
					                    	{% endif %}
										</div>
										<div class="form-group--number dsp-inblk">
											{% if obCartPosition.price != 0 %}
												<button type="button" onclick="addQuantity({{ obOffer.id }})" class="up"><i class="fa fa-plus"></i></button>
						                        <input id="quantity-{{ obOffer.id }}" name="quantity" class="form-control" type="text" placeholder="{{ obCartPosition.quantity }}" value="{{ obCartPosition.quantity }}">
						                        <button type="button" onclick="reduceQuantity({{ obOffer.id }})" class="down"><i class="fa fa-minus"></i></button>
						                    {% endif %}
					                    </div>
					                    {% if obCartPosition.customized_content == '#bespoke#' %}
                                        	<p style="font-size: 12px">* {{'Il costo del taglio sarà defalcato dal prezzo per la realizzazione del su misura'|_}}</p>
                                        {% endif %}
									</div>
									<div class="col-sm-2 col-2">
										<a class="ps-btn--close ps-btn--no-boder" href="javascript:removeFromCart({{ obOffer.id }})"></a>
									</div>
								</div>
								<hr>
							{% endfor %}
						</div>
					</div>
					<div class="row">
						<div class="col-md-12">
							<div class="form-group--inline">
													
								{% if arCouponList[0] %}
									<div class="form-group__content">
										<label class="coupon-txt">Coupon: {{arCouponList[0].code}}</label><br><label class="coupon-txt">{{'Sconto'|_}}: -{{arCouponList[0].coupon_group.mechanism.discount_value}}{{arCouponList[0].coupon_group.mechanism.discount_type == 'percent' ? '%'}}</label>
										<input id="coupon" type="hidden" value="{{arCouponList[0].code}}">
										<button type="button" onclick="removeCoupon()" class="ps-btn ps-btn--outline ps-btn--black btn-coupon">{{'Rimuovi Coupon'|_}}</button>
									</div>
								{% else %}
									<div class="form-group__content">
										<input id="coupon" class="form-control wdt-77 mx-wd-80" type="text" placeholder="{{'Codice del buono'|_}}">
									
										<button type="button" onclick="addCoupon()" class="ps-btn ps-btn--outline ps-btn--black btn-coupon">{{'Applica Coupon'|_}}</button>
									</div>
									<p>({{"[messaggio-coupon]"|_}})</p>
								{% endif %}
							</div>
						</div>
					</div>
					<div class="row">
						<div class="col-md-12">
							<div class="tot-ship">
								<strong >{{'Totale carrello'|_}}: {{ Cart.currency }} {{ obCartPositionList.getTotalPrice() }}</strong>
								<br>({{"Il costo delle spese di spedizione sarà calcolato in fase di completamento dell'ordine"|_}})
							</div>
						</div>
					</div>
					<figure class="ps-shopping-cart__total">
						<div class="footer"><a class="ps-btn ps-btn--outline ps-btn--black btn-prooced" href="/{{ activeLocale }}/checkout">{{"Procedi all'acquisto"|_}}</a></div>
					</figure>
				{% else %}
					<div class="table-responsive table-adp center-text">
						<h3> {{'Il tuo carrello è vuoto'|_}}!</h3>
					</div>
				{% endif %}
			{% else %}
				{% if obCartPositionList is not empty %}
					<div class="table-responsive table-adp">
						<table class="table ps-tablet ps-table--shopping-cart">
							<thead>
								<tr>
									<th></th>
									<th></th>
									<th class="txt-right">{{'Prodotto'|_}}</th>
									<th class="txt-right">{{'Quantità'|_}}</th>
									<th class="txt-right">{{'Prezzo'|_}}</th>
									<th class="txt-right">{{'Subtotale'|_}}</th>
								</tr>
							</thead>
							
							<tbody class="cart-tbody">
								{% set offerIds = [] %}
								
								{% for obCartPosition in obCartPositionList %}
					                {% set obOffer = obCartPosition.offer %}
					                {% set obProduct = obOffer.product %}
					                {% set offerIds = offerIds|merge([obOffer.id]) %}
					                
					                <tr>
					                	<td>
					                		<a class="ps-btn--close ps-btn--no-boder" href="javascript:removeFromCart({{ obOffer.id }})"></a>
					                	</td>
										<td>
											<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{ obProduct.slug }}"><img src="{{ obProduct.preview_image.getThumb(100, 100, {quality: 80}) }}" alt=""></a>
										</td>
										<td class="txt-right">
											{% if obCartPosition.price == 0 %}
												<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{ obProduct.slug }}">{{ obProduct.name }}</a>
												<p>({{'personalizzazione'|_}})</p>
											{% else %}
												{#
												<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{ obProduct.slug }}">{{ obProduct.name }} - {{ obCartPosition.customized_content and obCartPosition.customized_content != '#bespoke#' ? obCartPosition.customized_content : obOffer.name }} {{obCartPosition.customized_content == '#bespoke#' ? '*' }}</a>
												#}
												<a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{ obProduct.slug }}">{{ obProduct.name }} {{ not (obCartPosition.customized_content|customized_content) ? ' - '~obOffer.name }} {{obCartPosition.customized_content == '#bespoke#' ? '*' }}</a>
												<br>{{obCartPosition.customized_content|customized_content(activeLocale) ?: '' }}
												{% if obCartPosition.customized_content == '#bespoke#' %}
	                                            	<p>* {{'Il costo del taglio sarà defalcato dal prezzo per la realizzazione del su misura'|_}}</p>
	                                            {% endif %}
	                                        {% endif %}
										</td>
					                    <td class="txt-right">
					                      <div class="form-group--number dsp-inblk">
					                      	{#
					                      	<input class="form-control" type="text" placeholder="{{obCartPosition.quantity}}" value="{{obCartPosition.quantity}}">
					                      	#}
					                      	{% if obCartPosition.price != 0 %}
						                      	<button type="button" onclick="addQuantity({{ obOffer.id }})" class="up"><i class="fa fa-plus"></i></button>
						                        <input id="quantity-{{ obOffer.id }}" name="quantity" class="form-control" type="text" placeholder="{{ obCartPosition.quantity }}" value="{{ obCartPosition.quantity }}">
						                        <button type="button" onclick="reduceQuantity({{ obOffer.id }})" class="down"><i class="fa fa-minus"></i></button>
						                    {% endif %}
					                        {#
					                        <button type="button" onclick="addQuantity()" class="up"><i class="fa fa-plus"></i></button>
					                        <input id=""name="quantity" data-ajax="updateTotal" class="form-control" type="text" placeholder="{{ obCartPosition.quantity }}" value="{{ obCartPosition.quantity }}">
					                        <button type="button" onclick="reduceQuantity()" class="down"><i class="fa fa-minus"></i></button>
					                        #}
					                      </div>
					                    </td>
					                    <td class="txt-right">
					                    	{% if obCartPosition.price != 0 %}
						                    	{% if obOffer.old_price and obOffer.old_price != obOffer.price and obOffer.old_price != '0.00' %}
	                                        		<del> {{ obOffer.currency }} {{obOffer.old_price}} </del><br>
	                                        	{% elseif arCouponList[0] and obOffer.price != (obCartPosition.price / obCartPosition.quantity) %}
	                                        		<del> {{ obOffer.currency }} {{obOffer.price}} </del><br>
	                                        	{% endif %}
						                    	{{ obOffer.currency }}  {{ obCartPosition.price / obCartPosition.quantity }}
						                	{% endif %}
				                    	</td>
					                    <td class="txt-right">
					                    	{% if obCartPosition.price != 0 %}
				                        		<p>{{ obOffer.currency }}  {{ obCartPosition.price }}</p>
				                        	{% endif %}
					                    </td>
									</tr>
								{% endfor %}
								
								
								{#
								<tr>
									<td>
										<a href="#0"><img src="" alt=""></a>
									</td>
									<td><a href="#0">FOULARD MEDITERRANEO ROSSO</td>
				                    <td>€380.00</td>
				                    <td>
				                      <div class="form-group--number">
				                        <button class="up"><i class="fa fa-plus"></i></button>
				                        <button class="down"><i class="fa fa-minus"></i></button>
				                        <input class="form-control" type="text" placeholder="1" value="1">
				                      </div>
				                    </td>
				                    <td>
				                      <p>€380.00</p>
				                      <a class="ps-btn--close ps-btn--no-boder" href="#"></a>
				                    </td>
								</tr>
								#}
								<tr class="coupon">
									<td colspan="3">
										<div class="form-group--inline">
											
											{% if arCouponList[0] %}
												<div class="form-group__content">
													<label class="coupon-txt">Coupon: {{arCouponList[0].code}}</label><br><label class="coupon-txt">{{'Sconto'|_}}: -{{arCouponList[0].coupon_group.mechanism.discount_value}}{{arCouponList[0].coupon_group.mechanism.discount_type == 'percent' ? '%'}}</label>
													<input id="coupon" type="hidden" value="{{arCouponList[0].code}}">
												</div>
												<div class="form-group__content">
													<button type="button" onclick="removeCoupon()" class="ps-btn ps-btn--outline ps-btn--black btn-coupon">{{'Rimuovi Coupon'|_}}</button>
												</div>
											{% else %}
												<div class="form-group__content">
													<input id="coupon" class="form-control wdt-77 mx-wd-80" type="text" placeholder="{{'Codice del buono'|_}}">
												</div>
												<div class="form-group__content">
													<button type="button" onclick="addCoupon()" class="ps-btn ps-btn--outline ps-btn--black btn-coupon">{{'Applica Coupon'|_}}</button>
												</div>
											{% endif %}
											
										</div>
										<br>
										<p>({{"[messaggio-coupon]"|_}})</p>
										{#
							            {% for obCoupon in arCouponList %}
							                <li>{{ obCoupon.code }}</li>
							            {% endfor %}													
							            #}
									</td>
									<td colspan="2"><strong >{{'Totale carrello'|_}}</strong><br>({{"Il costo delle spese di spedizione sarà calcolato in fase di completamento dell'ordine"|_}})</td>
									<td colspan="1">{{ Cart.currency }} {{ obCartPositionList.getTotalPrice() }}</td>
								</tr>
								{#
								<tr class="make-order">
									<td colspan="6"><a class="ps-btn ps-btn--outline ps-btn--black wdt-20" href="/checkout">{{"Procedi all'acquisto"|_}}</a></td>
									<td colspan="3"><a class="ps-btn ps-btn--outline ps-btn--black aggiorna" href="javascript:onCartUpdate()"> {{'Aggiorna'|_}}</a></td>
								</tr>
								#}
								
							</tbody>
						</table>
					</div>
					<figure class="ps-shopping-cart__total">
						<div class="footer"><a class="ps-btn ps-btn--outline ps-btn--black btn-prooced" href="/{{ activeLocale }}/checkout">{{"Procedi all'acquisto"|_}}</a></div>
						
					</figure>
					<figure class="ps-shopping-cart__total">
						<div class="footer"><a class="ps-btn ps-btn--outline ps-btn--black btn-prooced" href="javascript:removeAllFromCart()">{{"Rimuovi tutti i prodotti"|_}}</a></div>
						
					</figure>
				{% else %}
					<div class="table-responsive table-adp center-text">
						<h3> {{'Il tuo carrello è vuoto'|_}}!</h3>
					</div>
				{% endif %}
			
			{% endif %}
			
		</div>
	</div>
</div>